Method: projects.locations.authProviders.queryWorkloads

Queries which workloads are using a given auth provider.

HTTP request

GET https://agentidentity.googleapis.com/v1beta/{name=projects/*/locations/*/authProviders/*}:queryWorkloads

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the auth provider to query. Format: projects/{project}/locations/{location}/authProviders/{authProvider}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. The maximum page size is 1000.

pageToken

string

Optional. A token, which can be sent as pageToken to retrieve the next page. When paginating, all other parameters provided to authProviders.queryWorkloads must match the call that provided the page token. If this field is omitted, the first page is returned.

Request body

The request body must be empty.

Response body

Response message for authProviders.queryWorkloads.

If successful, the response body contains data with the following structure:

JSON representation
{
  "workloadIds": [
    string
  ],
  "nextPageToken": string
}
Fields
workloadIds[]

string

The unique list of identifiers for the agents that used this auth provider, starting with principal://.

nextPageToken

string

A token to retrieve the next page of results.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • agentidentity.authProviders.queryWorkloads

For more information, see the IAM documentation.